package nl.iobyte.themepark.api.events.attraction;

import nl.iobyte.themepark.api.attraction.Attraction;
import nl.iobyte.themepark.api.events.ChangeEvent;
import org.bukkit.Location;

public class ChangeLocationEvent extends ChangeEvent<Location> {

    private Attraction attraction;

    public ChangeLocationEvent(Attraction attraction, Location before, Location after) {
        super(before, after);
        this.attraction = attraction;
    }

    public Attraction getAttraction() {
        return attraction;
    }

}
