package nl.iobyte.themepark.api.events.region;

import nl.iobyte.themepark.api.attraction.Region;
import nl.iobyte.themepark.api.events.ChangeEvent;

public class ChangeNameEvent extends ChangeEvent<String> {

    private Region region;

    public ChangeNameEvent(Region region, String before, String after) {
        super(before, after);
        this.region = region;
    }

    public Region getRegion() {
        return region;
    }

}
